body {
    background: #3da9fc;
background: linear-gradient(to top, #040308, #AD4A28, #DD723C, #fc7001, #dcb697,
                          #9ba5ae, #3e5879, #020b1a);
    text-align: center;
    font-family: Arial, sans-serif;
}

nav ul {
  display: flex;
  justify-content: center;
  list-style: none;
  background: #1c1b1b;
}

nav li {
  padding: 15px;
}

nav li:hover {
  background-color: #4d4c4c;
}

nav a {
  color: white;
  text-decoration: none;
}



.custom-button {
  align-items: center;
  appearance: none;
  background-image: radial-gradient(100% 100% at 100% 0, #5adaff 0, #5468ff 100%);
  border: 0;
  border-radius: 6px;
  box-shadow: rgba(45, 35, 66, .4) 0 2px 4px,rgba(45, 35, 66, .3) 0 7px 13px -3px,rgba(58, 65, 111, .5) 0 -3px 0 inset;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  display: inline-flex;
  font-family: "JetBrains Mono",monospace;
  height: 48px;
  justify-content: center;
  line-height: 1;
  list-style: none;
  overflow: hidden;
  padding-left: 16px;
  padding-right: 16px;
  position: relative;
  text-align: left;
  text-decoration: none;
  transition: box-shadow .15s,transform .15s;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  white-space: nowrap;
  will-change: box-shadow,transform;
  font-size: 18px;
}

.custom-button:focus {
  box-shadow: #3c4fe0 0 0 0 1.5px inset, rgba(45, 35, 66, .4) 0 2px 4px, rgba(45, 35, 66, .3) 0 7px 13px -3px, #3c4fe0 0 -3px 0 inset;
}

.custom-button:hover {
  box-shadow: rgba(45, 35, 66, .4) 0 4px 8px, rgba(45, 35, 66, .3) 0 7px 13px -3px, #3c4fe0 0 -3px 0 inset;
  transform: translateY(-2px);
}

.custom-button:active {
  box-shadow: #3c4fe0 0 3px 7px inset;
  transform: translateY(2px);
}

#weather-info {
  width: 320px;
  margin: 20px auto;
  padding: 16px;
  border-radius: 12px;
  background: #222;
  color: white;
  text-align: left;
}

#instructions {
  background-color: white;
  border: solid black 2px;
  width: 30%;
  margin: 0 auto;
  text-align: left;
  border-radius: 15px;
  padding: 5px;
}

#about {
  background-color: white;
  border: solid black 2px;
  width: 50%;
  margin: 0 auto;
  text-align: left;
  border-radius: 15px;
  padding: 5px;
}

#map {
  height: 400px;
  width: 60%;
  margin: 20px auto;
}

#weatherChart {
  height: 400px;
  width: 60%;
  margin: 20px auto;
}

#city-select {
  margin: auto;
}
